# Uses of Enum
org.apache.zookeeper.Op.OpKind

Packages that use Op.OpKind
Package
Description
org.apache.zookeeper

## Uses of Op.OpKind in org.apache.zookeeper

Subclasses with type arguments of type Op.OpKind in org.apache.zookeeper
Modifier and Type
Class
Description
`static enum`
`Op.OpKind`
Methods in org.apache.zookeeper that return Op.OpKind
Modifier and Type
Method
Description
`Op.OpKind`
Op.`getKind()`
Gets the kind of an Op.
`Op.OpKind`
MultiOperationRecord.`getOpKind()`
Returns the kind of the operations contained by the record.
`static Op.OpKind`
Op.OpKind.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Op.OpKind[]`
Op.OpKind.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.